source "https://rubygems.org"
git_source(:github) { |repo| "https://github.com/#{repo}.git" }

ruby "3.1.2"

gem "rails", "~> 7.0.3"
gem "sprockets-rails"
gem "puma", "~> 5.0"
gem "importmap-rails"
gem "turbo-rails"
gem "stimulus-rails"
gem "jbuilder"
gem "bcrypt", "~> 3.1.7"
gem "bootsnap", require: false


group :development, :test do
	gem "sqlite3", "~> 1.4"
	gem "debug", platforms: %i[ mri mingw x64_mingw ]
end

group :development do
	gem "web-console"
end

group :test do
	gem "capybara"
	gem "selenium-webdriver"
	gem "webdrivers"
	gem "rails-controller-testing"
	gem "minitest"
	gem "minitest-reporters"
end

group :production do
	gem "pg"
end